# -*- coding: UTF-8 -*-

from outwiker.core.pluginbase import Plugin
from outwiker.core.commands import getCurrentVersion
from outwiker.core.version import Version


__version__ = u"0.0.1"

if getCurrentVersion() < Version (1, 8, 0, 742):
    print ("MyFirstPlugin. OutWiker version requirement: 1.8.0.742")
else:
    class PluginMyFirst (Plugin):
        """
        Простейший плагин
        """
        @property
        def name (self):
            return u"MyFirstPlugin"


        @property
        def description (self):
            return u'''This is a first plugin'''


        @property
        def url (self):
            return u"http://example.com"


        @property
        def version (self):
            return __version__


        def initialize(self):
            pass


        def destroy (self):
            pass
